Skip to main content
PATCH
/
api
/
v2
/
platform
/
shipping_methods
/
{id}
Update a Shipping Method
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    shipping_method: {
      name: 'DHL Express',
      admin_name: 'DHL Area Code D',
      code: 'DHL-A-D',
      tracking_url: 'dhlexpress.com?tracking=',
      display_on: 'both',
      tax_category_id: '1',
      shipping_category_ids: ['2'],
      calculator_attributes: {type: 'Spree::Calculator::Shipping::FlatPercentItemTotal'},
      public_metadata: {},
      private_metadata: {}
    }
  })
};

fetch('http://{defaultHost}/api/v2/platform/shipping_methods/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "84",
    "type": "shipping_method",
    "attributes": {
      "name": "FedEx Expedited",
      "code": "UPS_GROUND",
      "admin_name": null,
      "display_on": "both",
      "tracking_url": null,
      "created_at": "2022-11-08T19:35:25.390Z",
      "updated_at": "2022-11-08T19:35:25.626Z",
      "deleted_at": null,
      "public_metadata": {},
      "private_metadata": {}
    },
    "relationships": {
      "shipping_categories": {
        "data": [
          {
            "id": "151",
            "type": "shipping_category"
          }
        ]
      },
      "shipping_rates": {
        "data": []
      },
      "tax_category": {
        "data": null
      },
      "calculator": {
        "data": {
          "id": "145",
          "type": "calculator"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Body

application/json
shipping_method
object
required

Response

Record updated

data
object
required